Jump to content
Gary Wardell

Problem with Android KeyStore file.

Recommended Posts

Posted (edited)

Hi,

 

I am trying to import a KeyStore file into RIO from Delphi XE8.

 

The file opens correctly in XE8.  But in RIO it says: Invalid KeyTool: \bin\KeyTool.exe.

 

Do you need more information. If so, what?

 

What should be the steps to move this file into RIO?

I read that Google requires APS to always use the original KeyStore file, so that is why I am trying to move this into RIO.

 

Gary

 

Edited by Gary Wardell

Share this post


Link to post
Posted (edited)

You probably have installed a wrong JDK version, or updated that, in Rx10.3.3 it should be jdk1.8.0_60 .

Maybe you can switch Rx10.3.3 already to the new AdoptOpenJDK, but I'm not sure if that only works from Rx10.4 on.

But usually it should be possible, if you adjust all the JDK paths in the SDK Manager of the IDE.

Edited by Rollo62

Share this post


Link to post
11 hours ago, Rollo62 said:

You probably have installed a wrong JDK version, 

Hi,

 

Actually I didn't install JDK.

 

So, it's whatever came with Windows 7 or Delphi.

 

Like I said, I didn't have the problem with earlier versions of Delphi.

 

I'll try to find the version you recomend.

 

Gary

Share this post


Link to post
12 hours ago, Rollo62 said:

in Rx10.3.3

Hi,

 

Hmm, of couse it only says this when launching, but I have Version 10.3,.2.

 

Should I update to 10.3.3?  I have read that the updates aren't always good.

 

Gary

Share this post


Link to post
13 hours ago, Rollo62 said:

if you adjust all the JDK paths in the SDK Manager of the IDE

Hi,

 

Ok, I found jdk-8u261-windows-x64.exe and installed it.

 

And I adjusted the Android Java paths to point to it and they now don't have an icon beside them.

 

However, in the SDK paths the  SDK API-Level Location has an icon, and thus it won't save.

 

The path is: C:\Users\Public\Documents\Embarcadero\Studio\20.0\CatalogRepository\AndroidSDK-2525_20.0.34749.6593\platforms\android-26

 

But the folder is there but the folder is empty. 

 

Now what should I do???

 

Gary

Share this post


Link to post
Posted (edited)

Its hard to say, usually I would propose to update to 10.4.

Because you work on Android, and this fixes the required API-Level 29 stuff,

if you only want to work on older API Level 26 (which cannot get into PlayStore probably), then Rx10.3.3 should be fine.

But in general the latest version is always best, when it comes to mobile.

 

If its only the \bin\KeyTool.exe.  issue, maybe first you try to fix that, sounds doable, or re-install the Rx10.3.2 incl. all Android SDK.

Edited by Rollo62

Share this post


Link to post
1 minute ago, Rollo62 said:

Because you work on Android,

Hi,

 

Actually I am doing both Android and IOS, and Windows.

 

But if the folder should have stuff in it then it looks like it didn't install properly.

 

Should I reinstall?
Or should I upgrade?  (And chance it.)

Share this post


Link to post

BTW, This is the Community Edition so the only support is what I get here. Embarcadaro won't talk to me.

 

Gary

Share this post


Link to post

Hi,

 

I am doing a complete reinstall.  (I accidentally deleted the previous install).

 

I am paying more attention now.  It's giving me the option to install the Android SDK.  I selected yes.  however, it is version SDK 25.2.5 0-- NDK r17b

 

Is this the version I want?

 

Gary

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×